### STAGE 1: Build ###
# We label our stage as ‘builder’
FROM node:10-alpine as builder

# COPY package.json package-lock.json ./


## Storing node modules on a separate layer will prevent unnecessary npm installs at each build
RUN mkdir /ng-app
WORKDIR /ng-app

COPY dist ./dist

## Build the angular app in production mode and store the artifacts in dist folder
# RUN npm run ng build -- --prod --output-path=dist/browser --outputHashing=all
# RUN npm run ng run universal:server:production


## STAGE 2: Setup ###
# FROM node:10-alpine

# RUN mkdir /ng-app

# WORKDIR /ng-app

COPY entrypoint.sh .

RUN npm install -g envsub

## Give ini script execute permission
RUN apk add vim && \
chmod +x entrypoint.sh

# COPY --from=builder /ng-app/dist/browser ./dist/browser
# COPY --from=builder /ng-app/dist/server ./dist/server

# Add initialization script
ENTRYPOINT ["/ng-app/entrypoint.sh"]

CMD ["node", "./dist/server/main.js"]
EXPOSE 80
